Subject: RE: [Pce] WG feed-backs on PCEP

From: "Dean Cheng \(dcheng\)" <[email-masked]>
Date: Fri, 27 May 2005 15:59:27 -0700

Hi JP et al.,

   My opinions on the items in the Section 6 are as follows:

>      - Is there a need for "open" and "close" messages?

I don't think this is necessary, with reasons include:

   1) It does not seem serve anything useful, but complicates the
      protocol a bit unnecessarily.

   2) The PCEP runs on the top of TCP, there is already an equivalent 
      function for both "open" and "close", although a TCP session may
      carry a single or multiple PCEP sessions. 

   3) Each PCEP request has its own request ID along with a FSM
      that has been defined clearly. The PCReq actually serves the
      "open" function and the "close" function is implied by the
      response from the PCE (whatever its is).

>      - Is there a requirement for PCEP hello message that could be
used
>        for faster PCC/PCE liveness detection? (If yes, the hello
>        frequency could be negotiated upon PCEP connection setup (via
>        open messages)

I don't think this is necessary. Since the PCEP runs on the top of TCP
and 
the transport layer protocol should take care of the liveness detection,

and any improvement if needed, instead of protocols run above that.

Another possible solution is (if concerned), the multi-hop BFD may be
used
here, between the PCE and PCC.
         
>      - Is there a requirement for detailed capability discovery upon
PCEP
>        connection set up? 

I think the PCE discovery protocol should be used for passing
information of
PCE capability. The PCEP should contain enough code points to carry
detailed
capability for specific query/response, but in general is not encouraged
to 
be used for general discovery purpose.

Thanks
Dean 

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of Jean Philippe 
>Vasseur (jvasseur)
>Sent: Thursday, May 26, 2005 8:42 AM
>To: [email-masked]
>Subject: [Pce] WG feed-backs on PCEP
>
>Dear WG,
>
>A new ID has recently been posted
>(http://www.ietf.org/internet-drafts/draft-vasseur-pce-pcep-00.txt)
>proposing a new PCE communication protocol. There are several 
>aspects for which Jean-Louis, Eiji, Alia, Arthi and myself 
>would be happy to get your feed-backs (see section 6). 
>Comments are also very welcome on the other parts of the ID of course.
>
>Thanks.
>
>JP.
>
>_______________________________________________
>Pce mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pce
>

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce